package com.ho.business.service;

import com.ho.business.entity.Station;
import com.ho.business.vo.req.bigScreen.CommonBigScreenReq;
import com.ho.business.vo.resp.InverterResp.PowerGenerateRespVO;
import com.ho.business.vo.resp.profit.DayProfitType;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @Description Mppt 尖峰平谷电量收益计算
 * @Author zjl
 * @Date 2025/11/19
 */
public interface EarningsCalculateMpptService {

    int deleteByDay(String transDayStr, List<Integer> typeList);

    public void allMpptIncome(List<Station> stations, String beginTime);

    void todayMpptIncome(List<Station> stations, String beginTime);

    List<PowerGenerateRespVO> countPvIncome(Integer stationId, String beginTime, String endTime);

    BigDecimal countAllPvIncome(Integer id,String beginTime, String endTime);

    List<DayProfitType> getProfit(String begin, String end, Integer groupId);

    Date getFirstTime();

    List<DayProfitType> getEarningsByParam(CommonBigScreenReq req);
}
